'use strict';

// ハンバーガーメニューの設定
// ハンバーガーメニューを定数として取得
const burger = document.getElementById('burger');
// メニューの親要素navを定数として取得
const nav = document.getElementById('nav')
// ハンバーガーメニューのテキストのIDを取得
const menuText = document.getElementById('menuText')
// ハンバーガーメニューを開いたときにbodyタグをスクロールさせないため、bodyを取得
const body = document.querySelector('body');
// ハンバーガーメニューをクリックすると
burger.addEventListener('click', () => {
    // ID「burger」にclass「active」を付与
    burger.classList.toggle('active');
    // ID「nav」にclass「active」を付与
    nav.classList.toggle('active');
    // bodyタグにclass「active」を付与
    body.classList.toggle('active');
    // もしメニューのテキストが「menu」だったら
    if(menuText.textContent === 'menu') {
        // 「close」を書き込む
        menuText.textContent = 'close';
        // そうでなければ「menu」を書き込む
    } else {
        menuText.textContent ='menu';
    }
});

// サブメニューの設定
// 子要素を持つ（.menu-item-has-children）親メニューを定数化
const hasChild = document.querySelectorAll('.menu > .menu-item-has-children');
// hacChildの個数分処理するためfor文で回す
for (let i = 0; i < hasChild.length; i++ ) {
    // 子要素を持つメニューにdivタグを作り
    const divElement = document.createElement('div');
    // 「+」を書き込む
    divElement.textContent = '+';
    hasChild[i].appendChild(divElement);
    // divタグをボタンにする
    const btn = document.querySelectorAll('.menu > li > div');
    // サブメニューのクラスを全取得
    const submenu = document.querySelectorAll('.menu > li > .sub-menu');
    // ボタン（div）をクリックすると、サブメニューにクラス「active」を付与
    btn[i].addEventListener('click', () => {
        submenu[i].classList.toggle('active');
        // もしdiv内のテキストが「+」のときにクリックすると、「-」を書き込む
        if(btn[i].textContent === '+') {
            btn[i].textContent = '-';
        // そうでないときは、「+」を書き込む
        } else {
            btn[i].textContent ='+';
        }
    });
}

// 孫メニューの設定。孫要素を扱う分複雑だが、要領は親サブメニューと同じ
// 「.menu-item-has-children」を子孫に持つ「.menu-item-has-children」を定数「grandChild」に格納
const grandChild = document.querySelectorAll('.menu .menu-item-has-children .menu-item-has-children');
// 「grandChild」の個数分for文を回す
for (let j = 0; j < grandChild.length; j++ ) {
    // サブメニューのサブメニューに必要なdivを作成し、さきほどと違う定数に格納
    const subDivElement = document.createElement('div');
    // そのdivタグ内に「+」を書き込む
    subDivElement.textContent = '+';
    grandChild[j].appendChild(subDivElement);
    const subBtn = document.querySelectorAll('.menu > li > .sub-menu > li > div');
    const subSubmenu = document.querySelectorAll('.sub-menu > li > .sub-menu');
    subBtn[j].addEventListener('click', () => {
        subSubmenu[j].classList.toggle('active');
        if(subBtn[j].textContent === '+') {
            subBtn[j].textContent = '-';
        } else {
            subBtn[j].textContent ='+';
        }
    });
}
